<?xml version="1.0" encoding="UTF-8"?>
<!--
COPYRIGHT

Dia2CAEX - a diagram to CAEX converter
Copyright (C) 2012,2014 Stefan Theurich, Prozesskommunikation, TU Dresden

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->

<!--
Any changes should be verified on a caex checker like http://caex.inf.tu-dresden.de
-->

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fn="http://www.w3.org/2005/xpath-functions"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	
	xmlns:dia="http://www.lysator.liu.se/~alla/dia/"

	exclude-result-prefixes="xsl fn dia"

	version="2.0">

	<!-- No result found -->
	<xsl:template match="dia:object[@type=@type]" mode="intelem">
		<InternalElement>
			<xsl:message terminate="yes">
				<xsl:text>error in intelem: unknown element: </xsl:text>
				<xsl:value-of select="@type" />
				<xsl:text> at diagram position </xsl:text>
				<xsl:apply-templates select="." mode="objectpos" />
			</xsl:message>
		</InternalElement>
	</xsl:template>
<!--	<xsl:template match="dia:object[@type=@type]" mode="intelemname">
		<xsl:message>
			<xsl:text>error in intelemname: unknown element: </xsl:text>
			<xsl:value-of select="@type" />
			<xsl:text> at diagram position </xsl:text>
			<xsl:apply-templates select="." mode="objectpos" />
		</xsl:message>
	</xsl:template>
	<xsl:template match="dia:object[@type=@type]" mode="extifname">
		<xsl:param name="connection" />
		<xsl:message>
			<xsl:text>error in extifname: unknown element: </xsl:text>
			<xsl:value-of select="@type" />
			<xsl:text> at diagram position </xsl:text>
			<xsl:apply-templates select="." mode="objectpos" />
		</xsl:message>
	</xsl:template> -->

</xsl:stylesheet>
